<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <script src=".././angular.min.js"></script>
    <script src="scope.js"></script>
</head>



<body ng-app="scopeModule">

<div ng-controller="ctr1 as a">
    {{a.name}}
    <div ng-controller="ctr2 as b">
        {{b.name}}
    </div>


    <input type="checkbox" ng-model="chk">

    <p ng-show="chk">checked</p>

    <h3>For each loop example</h3>

    <div ng-repeat="i in a.array">
        {{i.name}} {{i.age}}

    </div>
</div>




</body>
</html>